#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,l,x=0;
    scanf("%d",&n);
    scanf("%d",&l);
    int t[n];
    for(int i=0;i<n;i++)
        scanf("%d",&t[i]);
    do
    {
        if(t[x]<=l)
        {
            printf("%d",x+1);
            return 0;
        }
        x++;
    }while(x<n);
    printf("-1");
    return 0;
}